CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Paraview & paraFoam

Error in paraFoam

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   March 2, 2009, 00:24
Default Hi, everyone I installed o
  #1
New Member
 
lee
Join Date: Mar 2009
Posts: 3
Rep Power: 8
mattlee is on a distinguished road
Hi, everyone

I installed openfoam 1.5 on ubuntu 8.04.2 x64 sucessfully according to the readme file and ran the first example case of incompressible laminar flow in a cavity.

cd $HOME/OpenFOAM/$USER-$WM_PROJECT_VERSION/run/tutorials/icoFoam/cavity
blockMesh
icoFoam
paraFoam

the first 3 commands were OK, while paraFoam gave error as follows:

lee@lee-desktop:~/OpenFOAM/lee-1.5/run/tutorials/icoFoam/cavity$ paraFoam
paraview: symbol lookup error: /home/lee/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms/linux64Gcc/bin/libpqCore .so: undefined symbol: _ZN14QObjectPrivate15checkWindowRoleEv

How can I solve this problem?
mattlee is offline   Reply With Quote

Old   June 18, 2009, 13:22
Default Same problems
  #2
Member
 
Sylvain Martel
Join Date: Apr 2009
Location: University of Sherbrooke/Quebec/Canada
Posts: 51
Rep Power: 8
smart is on a distinguished road
Hi, do you find the way to solve this problem? Thanks
smart is offline   Reply With Quote

Old   June 29, 2009, 15:36
Default OpenFOAM-1.5-dev is OK (with paraFoam)
  #3
Member
 
Sylvain Martel
Join Date: Apr 2009
Location: University of Sherbrooke/Quebec/Canada
Posts: 51
Rep Power: 8
smart is on a distinguished road
Hi all,

I finaly get the OpenFOAM-1.5-dev running perfectly. I changed my linux system to Ubuntu 8.04. I experienced problems with paraFoam and paraview under ubuntu 9.04.

I solved the problem by installing paraview 3.4.0 instead of 3.3-cvs. For this, I changed some file (buildParaView3.3-cvs, in OpenFOAM-1.5-dev/bin and in OpenFOAM-1.5-dev/bin/tools and the bashrc in OpenFOAM-1.5-dev/etc/apps to point to the ParaView-3.4.0 folder (OpenFOAM/ThirdParty/ParaView-3.4.0).

I think it should be OK too with the ubuntu 9.04 in which the qmake version 4.3.5 should be installed.

For me, I used qmake 4.3.4 and gcc 4.3.1.

Thank to all!
smart is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
ParaFoam error in OpenFOAM15 asaha OpenFOAM Paraview & paraFoam 24 November 2, 2009 20:16
ParaFoam error with raw chegdan OpenFOAM Bugs 2 July 18, 2009 14:47
Error in paraFoam mattlee OpenFOAM Installation 0 March 1, 2009 22:34
ParaFoam Error navaladi OpenFOAM Paraview & paraFoam 13 April 22, 2008 16:01
ParaFoam Error jblucca OpenFOAM Paraview & paraFoam 1 June 28, 2007 02:37


All times are GMT -4. The time now is 18:19.